PSREPORT(1)

NAME
psreport - Report on the contents of a PS

SYNOPSIS
psreport [-err stdout] [-err stderr] [-verbose | -v] [-max max_pkts | -m max_pkts] [-dvd | -notdvd | -nodvd] in_file | -stdin

DESCRIPTION
Report on the packets in a Program Stream.

  Files

in_file
    is an H.222 Program Stream file (but see -stdin below)

  Switches

-err stdout
    Write error messages to standard output (the default)

-err stderr
    Write error messages to standard error (Unix traditional)

-stdin
    Input from standard input, instead of a file

-v, -verbose
    Output packet data as well

-stdin
    Take input from <stdin>, instead of a named file

-max max_pkts, -m max_pkts
    Maximum number of PS packets to read

-dvd
    The PS data is from a DVD. This is the default. This switch has no effect on MPEG-1 PS data.

-notdvd, -nodvd
    The PS data is not from a DVD. The DVD specification stores AC-3 (Dolby), DTS and other audio in a specialised manner in private_stream_1.

SEE ALSO
esdots(1),